Skip to content

Update contact (If-Match)

PUT
/api/v1/contacts/{name}
curl --request PUT \
--url https://example.com/api/v1/contacts/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "createdAt": "2026-04-15T12:00:00Z", "email": "example", "id": "example", "name": "example", "phone": "example", "preferences": [ { "channels": [ "example" ], "period": "example", "profile": "example", "severity": "example" } ], "tenantId": "example", "timeZone": "example", "updatedAt": "2026-04-15T12:00:00Z", "userId": "example", "version": 1 }'
name
required
string
Media typeapplication/json
object
createdAt
required
string format: date-time
email
string
id
required
string
name
required
string
phone
string
preferences
Array<object>
object
channels
required
Array<string>
period
string
profile
required
string
severity
string
tenantId
required
string
timeZone
string
updatedAt
required
string format: date-time
userId
string
version
required
integer
Examplegenerated
{
"createdAt": "2026-04-15T12:00:00Z",
"email": "example",
"id": "example",
"name": "example",
"phone": "example",
"preferences": [
{
"channels": [
"example"
],
"period": "example",
"profile": "example",
"severity": "example"
}
],
"tenantId": "example",
"timeZone": "example",
"updatedAt": "2026-04-15T12:00:00Z",
"userId": "example",
"version": 1
}

OK

Media typeapplication/json
object
createdAt
required
string format: date-time
email
string
id
required
string
name
required
string
phone
string
preferences
Array<object>
object
channels
required
Array<string>
period
string
profile
required
string
severity
string
tenantId
required
string
timeZone
string
updatedAt
required
string format: date-time
userId
string
version
required
integer
Examplegenerated
{
"createdAt": "2026-04-15T12:00:00Z",
"email": "example",
"id": "example",
"name": "example",
"phone": "example",
"preferences": [
{
"channels": [
"example"
],
"period": "example",
"profile": "example",
"severity": "example"
}
],
"tenantId": "example",
"timeZone": "example",
"updatedAt": "2026-04-15T12:00:00Z",
"userId": "example",
"version": 1
}

Problem Details (RFC 9457)

Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{
"code": "example",
"detail": "example",
"instance": "example",
"status": 1,
"title": "example",
"type": "example"
}